Subject: bug#73641: 30.0.90; Math in EWW/shr

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Oct 2024 18:24:55 +0300

> From: Augusto Stoffel <[email-masked]>
> Date: Sat, 05 Oct 2024 16:01:36 +0200
> 
> It is possible for the <math> element to include a SVG rendition of the
> formula.  We could consider displaying that if available (not sure how
> common it is, though).  Also, we might consider including infrastructure
> to render MathML, but this would require external programs (there is no
> reason to reinvent MathJax).  I've done that in one of my packages, see
> this commit for the relevant code:
> 
> https://github.com/astoff/devdocs.el/commit/04a8793072f1fc7c23f115e2c7ee83ce669b6fa4
> 
> (Actually, I added a version of the above to two of my packages already,
> so I think it's pretty clear Emacs should have some general
> math-rendering infrastructure.)

I agree that it would be good for Emacs to support math rendering, but
we need to find the best way of doing that, and then look for a
library or a program that implements that.  Maybe the first step would
be to conduct a survey of available methods and tools.